Subject: Re: linux-next: build failure after merge of the final tree (akpm tree related)

From: Andrew Morton <[email-masked]>
Date: Tue, 29 Nov 2011 22:07:28 -0800

On Wed, 30 Nov 2011 00:40:10 -0500 (EST) David Miller <[email-masked]> wrote:

> From: Stephen Rothwell <[email-masked]>
> Date: Wed, 30 Nov 2011 15:52:26 +1100
> 
> > And many more similar.
> > 
> > Caused (or exposed) by commit 9222aa56c0ce
> > ("include/net/netprio_cgroup.h: various fixes") from the akpm tree.
> > 
> > I have reverted that commit for today.
> 
> Andrew, please submit networking bug fixes to the networking maintainers
> in order to avoid problems like this in the future.
> 
> Unlike other subsystems, I guarentee to handle it within 24 hours, often
> much faster.
> 

This is my attempt to address the issues I mentioned last week.  It is
still under development and doesn't work yet.  I thought it did.

I'm now trying to get my brain around what that code is doing with
Kconfig symbols and net_prio_subsys_id.  I'm suspecting it's all to
make cgroup-subsys-within-a-module appear to work.

afaict net_prio_subsys_id is an enum if CONFIG_NETPRIO_CGROUP=y and is
an `extern int' when CONFIG_NETPRIO_CGROUP=m.  It's unclear to me why
the extern int version or net_prio_subsys_id exists at all, really.